@charset "UTF-8";

:root {
    --clr-bg-100: #ffffff;
    --clr-bg-200: #f7f7f7;
    --clr-bg-300: #f6f8f9;
    --clr-bg-400: #efefee;
    --clr-bg-500: #dddddd;
    --clr-bg-800: #272727;

    --clr-accent-1: #0099ff;
    --clr-accent-2: #f16521;

    --clr-font-100: #FFF;
    --clr-font-200: #c4c4c4;
    --clr-font-300: #8496a4;
    --clr-font-500: #393d3d;
    --clr-font-600: #343434;

    --nav-mobile-height: 82px;
    --nav-desktop-height: 100px;

    --content-max-width: 1280px;
    --padding-side: 1rem;
}

/* FONTS */
@font-face {
    font-display: swap;
    font-family: 'Source Sans 3';
    font-style: normal;
    font-weight: 300;
    src: url('fonts/source-sans-3-v15-latin-300.woff2') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Source Sans 3';
    font-style: normal;
    font-weight: 400;
    src: url('fonts/source-sans-3-v15-latin-regular.woff2') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Source Sans 3';
    font-style: normal;
    font-weight: 500;
    src: url('fonts/source-sans-3-v15-latin-500.woff2') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Source Sans 3';
    font-style: normal;
    font-weight: 600;
    src: url('fonts/source-sans-3-v15-latin-600.woff2') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Source Sans 3';
    font-style: normal;
    font-weight: 700;
    src: url('fonts/source-sans-3-v15-latin-700.woff2') format('woff2');
}


/* RESET */
* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}
a {
    text-decoration: none;
    color: inherit;
}
ul {
    list-style: none;
}
button {
    border: none;
    background-color: transparent;
    cursor: pointer;
    color: inherit;
    font-family: 'Source Sans 3', sans-serif;
}


/* GENERAL STYLES */
body {
    font-family: 'Source Sans 3', sans-serif;
    background-color: var(--clr-bg-300);
    min-height: 100vh;
    overflow-x: hidden;
}

.item-padding { padding-inline: var(--padding-side); }

.container-maxsize {
    max-width: var(--content-max-width);
    margin-inline: auto;
}

/* --HEADER */
header {
    background-color: var(--clr-bg-100);
    padding-top: var(--nav-mobile-height);
}

.fixed-nav {
    position: fixed;
    width: 100%;
    z-index: 1000;
    top: 0;
    background-color: var(--clr-bg-100);
    box-shadow: 4px 1px 3px 0px rgba(0, 0, 0, 0.151);
}

.nav-container {
    height: var(--nav-mobile-height);
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    background-color: var(--clr-bg-100);
}

.header-logo a {
    display: block;
}
.header-logo a img {
    display: block;
    width: 100%;
    width: 12rem;
}

/* nav desktop */
.navbar {
    font-weight: normal;
    display: none;
}

.navbar-links {
    list-style: none;
}

.navbar-links__item {
    text-decoration: none;
    color: var(--clr-font-600);
}

.navbar-links--active {
    color: var(--clr-accent-1);
}

.header-buttons {
    display: flex;
    position: relative;
    top: 0rem;
    right: min(calc(1.5rem + 10vw), 6rem);
}
.header-buttons-globe {
    position: absolute;
    top: -1px;
    right: 37px;
    pointer-events: none;
}
.header-buttons-globe img {
    display: block;
    width: 16px;
    min-height: 16px;
}

.select-idioma {
    font-size: 12px;
    color: var(--clr-font-200);
    border: none;
    background-color: transparent;
    padding-left: 15px;
    cursor: pointer;
}

/* nav mobile */
.nav-mobile {
    position: fixed;
    top: 5em;
    bottom: 0;
    left: 0%;
    right: 0;
    z-index: 1000;
    background: rgba(255, 255, 255, 0.975);
    border-top: solid 2px var(--clr-bg-400);

    transform: translateX(100%);
    transition: transform 300ms ease-out;
    -webkit-backdrop-filter: blur(1rem);
    backdrop-filter: blur(1rem);
    overflow-y: scroll;
}

.nav-mobile-links {
    display: flex;
    flex-direction: column;
    padding-block: 2em;
}

.nav-mobile[data-visible="true"] {
    transform: translateX(0%);
}

.menu-title {
    color: var(--clr-font-200);
    padding-left: 1.5rem;
    font-size: 1.1rem;
}

.nav-mobile-menu {
    margin-top: 1.5rem;
    padding-left: 2.5rem;
}
.nav-mobile-menu > li {
    margin-bottom: 1.5rem;
}
.nav-mobile-menu > li:before {
    content: "";
    display: inline-block;
    background: var(--clr-accent-2);
    border-radius: 50%;
    width: 8px;
    height: 8px;
    margin-right: 8px;
}

.mobile-menu__link {
    color: var(--clr-font-500);
}

.nav-mobile__item {
    width: 100%;
    display: block;
    border-bottom: solid 1px #c4c4c444;
}
.nav-mobile__item > a {
    display: grid;
    align-items: center;
    padding-left: 1.5rem;
    min-height: 4rem;
}

.nav-toggle {
    border: none;
    background: none;
    position: absolute;
    z-index: 9999;
    top: 0.8rem;
    right: 1rem;
}
.nav-toggle:active {
    opacity: 0.5;
}
.nav-toggle img {
    height: 52px;
}

/* -----FOOTER */
footer {
    padding: 30px 10px 30px 30px;
    background-color: var(--clr-bg-100);
}

.footer-content {
    display: grid;
    grid-template-columns: 1fr;
    width: 100%;
    padding: 0 5px 20px 0;
}

.footer-socials {
    padding: 20px 0;
}

.footer-socials-title {
    color: var(--clr-font-300);
    font-weight: 400;
    font-size: 20px;
    line-height: 40px;
}

.footer-socials-icons {
    padding-top: 1rem;
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}
.footer-socials-icons a img:hover {
    opacity: 0.85;
}

.footer-list {
    list-style: none;
    padding: 20px 0;
    line-height: 40px;
}
.footer-list h2 {
    color: var(--clr-font-300);
    font-weight: 400;
    font-size: 20px;
}
.footer-list a {
    text-decoration: none;
    color: var(--clr-font-600);
    font-size: 15px;
}

.footer-list a:hover {
    opacity: 0.85;
}

.footer-contact p {
    color: #CCCCCC;
    font-size: 1.3rem;
    padding-bottom: 10px;
}
.footer-contact a img {
    height: 1.7rem;
}

.footer-copyrights {
    margin-top: 20px;
    font-weight: 300;
    font-size: 14px;
    color: var(--clr-font-600);
}

@media (max-width: 362px) {
    .header-buttons {
        display: none;
    }

    .header-logo {
        max-width: 11rem;
    }

    footer {
        padding: 25px 10px 30px 20px;
        background-color: var(--clr-bg-100);
    }

    .footer-socials-title {
        line-height: 30px;
    }
}

@media (min-width: 748px) and (max-width: 1023.02px) {
    :root { --padding-side: 1.2rem; }

    html { font-size: 16px; }

    .nav-mobile-links {
        padding-block: 2.5rem;
        padding-left: clamp(1.5rem, 3vw, 3rem);
    }

    footer {
        padding-inline: 1.5rem;
        justify-items: left;
    }
    .footer-content {
        grid-template-columns: repeat(2, 1fr);
        gap: 0.1rem 8rem;
    }
}

/* SCREEN DESKTOP */
@media (min-width: 1024px) {
    :root { --padding-side: 1.5rem; }

    html { font-size: 18px; }

    .nav-mobile { display: none; }
    .navbar { display: block; }

    .fixed-nav { position: relative; }
    
    header {
        padding-top: 0px;
    }
    
    .nav-container {
        height: var(--nav-desktop-height);
    }

    .navbar-links {
        position: relative;
        display: flex;
        align-items: center;
    }
    .navbar-links li {
        margin-right: calc(0.72rem + 1vw);
    }
    .navbar-links>li:first-child {
        margin-inline: 1rem 10px;
    }

    .nav-dropdown-arrow {
        font-size: 12px;
        color: var(--clr-accent-2);
        transition: transform 150ms ease-in-out;
    }
    .navbar-links__item {
        font-size: 16px;
        padding-inline: 3px 7px;
        text-wrap: nowrap;
        display: block;
    }
    .navbar-links__item img {
        display: block;
    }

    .navbar-links__item:hover {
        color: var(--clr-accent-1);
    }

    .navbar-links__item[aria-expanded="true"] .nav-dropdown-arrow {
        transform: rotate(-180deg);
    }

    .dropdown {
        display: flex;
        flex-direction: column;
        min-width: 230px;
        background-color: var(--clr-bg-100);
        border-radius: 5px;
        position: absolute;
        top: 56px;
        z-index: 1;
        visibility: hidden;
        opacity: 0;
        transform: scale(0.97) translateX(-5px);
        transition: 0.1s ease-in-out;
        box-shadow: 4px 4px 7px 1px rgba(0,0,0,0.53);
    }

    .dropdown.active {
        visibility: visible;
        opacity: 1;
        transform: scale(1) translateX(5px);
    }

    .dropdown ul {
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
        padding: 1.2rem;
        font-size: 0.95rem;
    }

    .dropdown ul li {
        margin-top: 1.3rem;
    }
    .dropdown ul li:first-child {
        margin-top: 0;
    }
    
    .dropdown-link {
        font-size: 15px;
    }
    .dropdown-link:hover {
        color: var(--clr-accent-1);
    }

    .nav-toggle {
        display: none;
    }

    .header-buttons {
        display: flex;
        position: relative;
        top: -2px;
        right: 0;

        margin-right: 1.5rem;
        padding: 5px 0 0 10px;
    }

    .header-buttons-globe {
        position: absolute;
        top: 2px;
        right: 38px;
        pointer-events: none;
        display: block;
        align-items: flex-end;
    }
    .header-buttons-globe img {
        display: block;
        width: 20px;
    }

    .select-idioma {
        font-size: 12px;
        color: var(--clr-font-200);
        border: none;
        background-color: transparent;
        padding-left: 20px;
        cursor: pointer;
    }
    .select-idioma option {
        font-size: 14px;
    }

    footer {
        padding-inline: 1.5rem;
        justify-items: left;
    }
    .footer-content {
        grid-template-columns: repeat(4, 1fr);
        gap: 0.1rem;
        justify-items: center;
    }

    .footer-socials {
        justify-self: start;
    }
    .footer-socials-icons {
        flex-wrap: nowrap;
    }
}

@media (min-width: 1200px) {
    .navbar-links li {
        margin-right: 2.5rem;
    }
    .navbar-links>li:first-child {
        margin-inline: 1rem 24px;
    }
}